### Method

# FwupdPlugin Firmware set_version

since: 1.3.3

#### Declaration [src]

    void
    fu_firmware_set_version (
      FuFirmware* self,
      const gchar* version
    )

#### Description [src]

Sets an optional version that represents the firmware.

Available since: 1.3.3

#### Parameters

`version`

  Type: `const gchar*`

  Optional string version.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.